$(() => {
    // используется jquery tablesorter: https://mottie.github.io/tablesorter/docs
    // вначале сортировка по возрастанию по первой и второй колонкам
    $("#disciplineTable").tablesorter({
        theme: 'materialize',

        sortList: [[0, 0], [1, 0]],
        // использование tablesorter widgets
        // https://mottie.github.io/tablesorter/docs/example-widget-columns.html
        // fix the column widths
        widthFixed: true,
        // Show an indeterminate timer icon in the header when the table
        // is sorted or filtered
        showProcessing: false,
        // header layout template (HTML ok); {content} = innerHTML,
        // {icon} = <i/> (class from cssIcon)
        headerTemplate : '{content}{icon}',
        // *** FUNCTIONALITY ***
        // prevent text selection in header
        cancelSelection: true,
        // *** SORT OPTIONS ***
        // These are detected by default,
        // but you can change or disable them
        // these can also be set using data-attributes or class names
        headers: {
            // set "sorter : false" (no quotes) to disable the column
            0: {
                sorter: "number"
            },
            1: {
                sorter: "text"
            },
            2: {
                sorter: "text"
            }
        },
        ignoreCase: true,
        // *** WIDGETS ***
        // apply widgets on tablesorter initialization
        initWidgets: true,
        // table class name template to match to include a widget
        widgetClass: 'widget-{name}',
        // initialize zebra striping and column styling of the table
        widgets : ["zebra", "filter"],
        // использование фильтров в tablesorter
        // https://mottie.github.io/tablesorter/docs/example-widget-filter.html
        widgetOptions: {

            // *** COLUMNS WIDGET ***
            // change the default column class names primary is the 1st column
            // sorted, secondary is the 2nd, etc
            columns: [
                "primary",
                "secondary",
                "tertiary"
            ],

            // if true, a filter will be added to the top of each table column;
            // disabled by using -> headers: { 1: { filter: false } } OR add class="filter-false"
            // if you set this to false, make sure you perform a search using the second method below
            filter_columnFilters : true,

        }

        });
});